/**
 * Welcome to @reach/checkbox!
 *
 * Accessible components to build custom, tri-state checkboxes in React.
 *
 * This package provides two top-level components:
 *   - MixedCheckbox
 *   - CustomCheckbox
 *
 * @see Docs     https://reacttraining.com/reach-ui/checkbox
 * @see Source   https://github.com/reach/reach-ui/tree/master/packages/checkbox
 * @see WAI-ARIA https://www.w3.org/TR/wai-aria-practices-1.1/#checkbox
 */

import {
  CustomCheckbox,
  CustomCheckboxContainer,
  CustomCheckboxInput,
  CustomCheckboxContainerProps,
  CustomCheckboxInputProps,
  CustomCheckboxProps
} from "./custom";

import {
  MixedCheckbox,
  MixedCheckboxData,
  MixedCheckboxEvent,
  MixedCheckboxEvents,
  MixedCheckboxNodeRefs,
  MixedCheckboxState,
  MixedCheckboxStates,
  MixedCheckboxProps,
  useMixedCheckbox
} from "./mixed";

export {
  CustomCheckbox,
  CustomCheckboxContainer,
  CustomCheckboxInput,
  CustomCheckboxContainerProps,
  CustomCheckboxInputProps,
  CustomCheckboxProps,
  MixedCheckbox,
  MixedCheckboxData,
  MixedCheckboxEvent,
  MixedCheckboxEvents,
  MixedCheckboxNodeRefs,
  MixedCheckboxState,
  MixedCheckboxStates,
  MixedCheckboxProps,
  useMixedCheckbox
};
